Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(103)

Unified Diff: ports/libxcb/build.sh

Issue 1260083004: Add needed functions to glibc-compat for pkg (Closed) Base URL: https://chromium.googlesource.com/external/naclports.git@master
Patch Set: fix wrong c++ lib Created 5 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « ports/libx11/build.sh ('k') | ports/libxcb/nacl.patch » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: ports/libxcb/build.sh
diff --git a/ports/libxcb/build.sh b/ports/libxcb/build.sh
index e46ca0cd84048cdc7d8cbc3048408a9bf5b83859..0cc8659359f3e9fc28156547ed6e35624a128095 100644
--- a/ports/libxcb/build.sh
+++ b/ports/libxcb/build.sh
@@ -4,6 +4,18 @@
if [ "${NACL_LIBC}" = "newlib" ]; then
NACLPORTS_CPPFLAGS+=" -I${NACLPORTS_INCLUDE}/glibc-compat"
+ NACLPORTS_LDFLAGS+=" -lglibc-compat"
fi
-NACLPORTS_LDFLAGS+=" -lnacl_io"
+InstallStep() {
+ DefaultInstallStep
+ if [ "${NACL_LIBC}" = "newlib" ]; then
+ if ! grep -Eq "lglibc-compat" \
+ ${INSTALL_DIR}/naclports-dummydir/lib/pkgconfig/xcb.pc ; then
+ sed -i 's/-lxcb/-lxcb -lglibc-compat/'\
+ ${INSTALL_DIR}/naclports-dummydir/lib/pkgconfig/xcb.pc
+ fi
+ fi
+}
+
+NACLPORTS_LDFLAGS+=" -lnacl_io -l${NACL_CXX_LIB}"
« no previous file with comments | « ports/libx11/build.sh ('k') | ports/libxcb/nacl.patch » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698